Returns whether the queue is empty

- « Ds\PriorityQueue::count

- Ds\PriorityQueue::jsonSerialize »

- PHP Manual
- Ds\PriorityQueue
- Returns whether the queue is empty

# Ds\PriorityQueue::isEmpty

(PECL ds >= 1.0.0)

Ds\PriorityQueue::isEmpty — Returns whether the queue is empty

### Description

public Ds\PriorityQueue::isEmpty(): bool

Returns whether the queue is empty.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if the queue is empty, `false` otherwise.

### Examples

Example #1 Ds\PriorityQueue::isEmpty() example

    <?php$a = new \Ds\PriorityQueue();$b = new \Ds\PriorityQueue();$a->push("a",  5);$a->push("b", 15);$a->push("c", 10);var_dump($a->isEmpty());var_dump($b->isEmpty());?>

The above example will output something similar to:

    bool(false)
    bool(true)